Skip to main content
DELETE
/
v1
/
interactions
Interaction Delete API
curl --request DELETE \
  --url 'https://api.askmiso.com/v1/interactions?api_key=' \
  --header 'Content-Type: application/json' \
  --data '
{
  "user_ids": [
    "<string>"
  ]
}
'
{
  "message": "success"
}
The endpoint will delete users’ interaction data entirely from the log of interactions you have uploaded to Miso. This API enables you to comply with users’ data removal requests (i.e. right to be forgotten). Once a user’s interactions are deleted, we will not be able to recover them, and they will no longer contribute to model training.

Authorizations

api_key
string
query
required

Your secret API key is used to access every Miso API endpoint. You should secure this key and only use it on a backend server. Never leave this key in your client-side JavaScript code. If the private key is compromised, you can revoke it in Dojo and get a new one.

Specify your secret key in the api_key query parameter. For example:

POST /v1/users?api_key=039c501ac8dfcac91c6f05601cee876e1cc07e17

Body

application/json
user_ids
string[]
required

Response

Successful Response

message
string
required

Human-readable message

Example:

"success"